html, body {
    height: 100%;
    margin: 0;
    font-family: "Plus Jakarta Sans";
}

a{
    list-style: none;
    text-decoration: none;
}

.opto-container {
    height: 100vh; /* Ocupa 100% da tela */
    display: flex;  /* Permite dividir as colunas corretamente */
}

.opto-left {
    width: 254px; /* Tamanho fixo */
    background: #050505;
    height: 100vh; /* Garante altura total */
}

.opto-logo1{
    margin-left: 36px;
    margin-right: 50px;
    margin-top: 111px;
}

.opto-watermark-logo{
    position: absolute;
    bottom: 120px;
    left: 0px;
    width: 124px;
    height: 406px;
    opacity: 0.6;
}

.opto-right-header-container{
    margin-top: 90px;
    margin-left: 40px;
}

.opto-right-header-container h2{
    color: #FDFDFD;
    font-family: "Plus Jakarta Sans";
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}
.opto-right-header-container h4{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.opto-right-search-container{
    width: 300px;
    margin-left: 40px;
    margin-right: 99px;
    margin-top: 50px;
    position: relative;
}
.opto-right-search-container img{
    position: absolute;
    left: 10px;
    top: 8px;
}
.opto-right-search-container input{
    width: 100%;
    display: flex;
    height: 36px;
    padding: 10px;
    padding-left: 35px;
    align-items: center;
    align-self: stretch;
    border-radius: 10px;
    background: #222;
    border: 0;
    color: #565656;
    font-feature-settings: 'liga' off, 'clig' off;

    /* Default size/Body */
    font-family: "Plus Jakarta Sans";
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px; /* 129.412% */
    letter-spacing: -0.408px;
}

.opto-logout-container {
    position: absolute;
    width: 130px;
    bottom: 48px;
    left: 50px;
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important; /* Garante que tudo fique alinhado na vertical */
    justify-content: center;
    padding: 10px;
    z-index: 999;
}

.opto-logout-icon {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.opto-logout-text {
    width: 100%; /* Garante que ocupe a largura total */
    text-align: center;
    padding: 5px;
    color: #565656;
    font-family: "Plus Jakarta Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}



.opto-watermark-logo img{
    width: 100%;
    height: auto;
}

.opto-menu {
    margin-top: 53px;
    display: flex;
    align-items: center;
    padding-left: 36px;
    position: relative;
}

.opto-menu-icon {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
}

.opto-menu-icon img {
    width: 100%;
    height: auto;
}

.opto-menu-text {
    width: 100%;
    margin-left: 18px;
    color: #565656;
    font-family: "Plus Jakarta Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.opto-menu-text-active {
    width: 100%;
    margin-left: 18px;
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.opto-menu-active{
    position: absolute;
    right: 0px;
    width: 8px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    background-color: #03B6F7;
    height: 58px;
}





.opto-right {
    display: flex;
    flex-grow: 1; /* Ocupa o restante da tela */
    border-top-left-radius: 42px;
    border-bottom-left-radius: 42px;
    background-color: #101010;
    height: 100vh; /* Mantém a altura total */
    overflow: hidden;
}

.opto-right-content1 {
    width: 439px; /* Largura fixa */
    height: 100%; /* Ocupa 100% da altura da .opto-right */
}

.opto-right-content2 {
    flex-grow: 1; 
    height: 100%;
    overflow-y: auto; /* Rolagem vertical */
    padding-top: 71px;
    margin-bottom: 50px;
    display: flex;

}




.opto-right-box{
    background-color: #151515;
    border-radius: 25px;
    border: 1px solid #303030;
    margin-bottom: 71px;
    margin-right: 50px;
    padding: 28px;
    display: flex;
    flex-direction: column-reverse;
    overflow-y: auto;

    /* Estiliza a barra de rolagem para Firefox */
    scrollbar-width: thin;
    scrollbar-color: #333 #111; /* Cor da barra e do fundo */
}

/* Estiliza a barra de rolagem no Chrome, Edge e Safari */
.opto-right-box::-webkit-scrollbar {
    width: 6px; /* Deixa mais fina */
}

.opto-right-box::-webkit-scrollbar-track {
    background: #111; /* Cor do fundo da barra */
    border-radius: 10px;
}

.opto-right-box::-webkit-scrollbar-thumb {
    background: #333; /* Cor da barra */
    border-radius: 10px;
}

.opto-right-box::-webkit-scrollbar-thumb:hover {
    background: #444; /* Cor quando passa o mouse */
}

.opto-right-buttons-msg-container{
    margin-top: 50px;
    display: flex;
    gap: 10px;
    flex-direction: column;
    padding: 0px 50px 0px 40px;
}




.opto-right-box2{
    background-color: #151515;
    border-radius: 25px;
    border: 1px solid #303030;
    margin-bottom: 71px;
    margin-right: 50px;
    padding: 28px;
    display: flex;
    flex-direction: column;
    overflow-y: auto;

    /* Estiliza a barra de rolagem para Firefox */
    scrollbar-width: thin;
    scrollbar-color: #333 #111; /* Cor da barra e do fundo */
}

/* Estiliza a barra de rolagem no Chrome, Edge e Safari */
.opto-right-box2::-webkit-scrollbar {
    width: 6px; /* Deixa mais fina */
}

.opto-right-box2::-webkit-scrollbar-track {
    background: #111; /* Cor do fundo da barra */
    border-radius: 10px;
}

.opto-right-box2::-webkit-scrollbar-thumb {
    background: #333; /* Cor da barra */
    border-radius: 10px;
}

.opto-right-box2::-webkit-scrollbar-thumb:hover {
    background: #444; /* Cor quando passa o mouse */
}




.opto-right-buttons-msg-box{
    display: flex;
    flex-direction: row;
    padding: 15px;
    border-radius: 18px;
    border: 1px solid #303030;
    background: #151515;
}
.opto-right-buttons-icon{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 38px;
    height: 38px;
    border-radius: 100%;
    background-color: #4FAFCB;
    color: #FFF;
    font-family: "Plus Jakarta Sans";
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.opto-right-buttons-text-content{
    margin-left: 12px;
    border-radius: 2px;
}
.opto-right-buttons-phone-number{
    border: 1px solid rgba(179, 192, 221, 0.00);
    background: #D8F5FD;
    color: #151515;
    font-family: "Plus Jakarta Sans";
    font-size: 11px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    width: auto;
    text-align: center;
    margin-bottom: 8px;
}

.opto-right-buttons-createdat{
    color: #9AA3AB;
    font-family: "Plus Jakarta Sans";
    font-size: 11px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

/******ACTIVE*****/

.opto-right-buttons-msg-box-active{
    display: flex;
    flex-direction: row;
    padding: 15px;
    border-bottom: 1px solid #303030;
}
.opto-right-buttons-icon-active{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 38px;
    height: 38px;
    border-radius: 3px;
    background-color: rgba(79, 175, 203, 0.50);;
    color: #FFF;
    font-family: "Plus Jakarta Sans";
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.opto-right-buttons-text-content-active{
    margin-left: 12px;
    border-radius: 2px;
}
.opto-right-buttons-phone-number-active{
    border-radius: 2px;
    border: 1px solid rgba(179, 192, 221, 0.00);
    background: rgba(216, 245, 253, 0.08);
    color: rgba(12, 168, 211, 0.50);
    font-family: "Plus Jakarta Sans";
    font-size: 11px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-bottom: 8px;
}

.opto-right-buttons-createdat-active{
    color: #9AA3AB;
    font-family: "Plus Jakarta Sans";
    font-size: 11px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}






.opto-chat-support-header{
    display: flex;
    flex-direction: row;

}

.opto-chat-support-icon{
    width: 43px;
    height: 43px;
    background-color: #222222;
    border-radius: 100%;
    padding: 7px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1/1; /* Garante que sempre será um círculo perfeito */
}

.opto-chat-support-icon img{
    width: 100%;
    height: auto;
}

.opto-chat-support-title{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 5px;
}

.opto-chat-support-msg{
    color: #FDFDFD;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 21.6px; /* 154.286% */
    margin-top: 5px;
}

.opto-chat-support-footer{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 5px;
}

.opto-chat-support-content{
    margin-left: 10px;
}



/***************USER CHAT BOX***************/
.opto-chat-user-container {
    display: flex;
    flex-direction: column;
    align-items: flex-end; /* Garante que tudo fique à direita */
    width: 100%;
}

.opto-chat-user-title {
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-align: right;
    margin-bottom: 10px;
}

.opto-chat-align-right {
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-end; /* Alinha as mensagens e timestamp à direita */
    width: 100%;
}

.opto-chat-user-box {
    border-radius: 7px;
    background: #222;
    padding: 18px;
    max-width: 80%;
    margin-left: auto; /* Empurra a mensagem para a direita */
}

.opto-chat-user-msg {
    color: #FDFDFD;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 21.6px;
}

.opto-chat-user-createdat {
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 5px;
    text-align: right;
}



.opto-bto-back{
    width: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    color: #565656;
    text-align: center;
    font-family: "Plus Jakarta Sans";
    font-size: 13px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-left: 70px;
}

.opto-page-title{
    color: #FDFDFD;
    font-family: "Plus Jakarta Sans";
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-left: 70px;
    margin-top: 30px;
}

.opto-page-subtitle{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-left: 70px;
    margin-top: 25px;
    margin-bottom: 30px;
}

.opto-bto-style1{
    border-radius: 8px;
    border: 1px solid #14BDEB;
    color: #14BDEB;
    text-align: center;
    font-family: "Plus Jakarta Sans";
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    max-width: 300px;
    padding: 12px;
    margin-left: 70px;
    margin-bottom: 30px;
}

.opto-table-sources-table-title{
    color: #FFF;
    font-family: "Plus Jakarta Sans";
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    letter-spacing: -0.22px;
}

.opto-table-sources-header{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.opto-seach-box{
    position: relative;
    display: flex;
    flex-direction: row-reverse;
    max-width: 389px;
}

.opto-seach-box input{
    border-radius: 10px;
    background: #222;
    border: 0;
    padding: 9px 9px 9px 40px;
    max-width: 389px;
    color: #565656;
    font-feature-settings: 'liga' off, 'clig' off;

    /* Default size/Body */
    font-family: "Plus Jakarta Sans";
    font-size: 17px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px; /* 129.412% */
    letter-spacing: -0.408px;
}
.opto-seach-box img{
    position: absolute;
    width: 28px;
    height: 28px;
    top: 5px;
    left: 5px;
}



.opto-table-container table{
    width: 100%;
    margin-top: 10px;
}

.opto-table-container table tr{
    border-bottom: 1px solid #2F2F2F;
    padding: 10px;
}

.opto-table-container table tr td{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.14px;
    padding: 10px;
}

.opto-table-container table tr th{
    color: #8B8B8B;
    font-family: "Plus Jakarta Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.14px;
    padding: 10px;
}


.pagination-controls{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#nextPage img {
    transform: rotate(180deg);
}

